Last Comment Bug 386070 - http referer field not set for submission
: http referer field not set for submission
Status: RESOLVED FIXED
: fixed1.8.1.5
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: 1.8 Branch
: x86 All
: -- normal (vote)
: ---
Assigned To: aaronr
:
:
Mentors:
Depends on:
Blocks: 376307
  Show dependency treegraph
 
Reported: 2007-06-27 09:12 PDT by aaronr
Modified: 2016-07-15 14:46 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
testcase (1.54 KB, application/xhtml+xml)
2007-06-27 16:53 PDT, aaronr
no flags Details
patch (2.34 KB, patch)
2007-06-27 16:56 PDT, aaronr
bugs: review+
doronr: review+
Details | Diff | Splinter Review

Description aaronr 2007-06-27 09:12:41 PDT
A user brought up the idea that we should set the referer field in the http header when we do our xml submissions.  Talking to mkaply, it is common for HTML forms to set the referer field when those forms are submitted.  So we should probably do the same.
Comment 1 aaronr 2007-06-27 16:53:50 PDT
Created attachment 270092 [details]
testcase

Clicking on the submit button should send you to xformstest.org's echo service.  There should be a value echoed for HTTP_REFERER.
Comment 2 aaronr 2007-06-27 16:56:22 PDT
Created attachment 270093 [details] [diff] [review]
patch
Comment 3 aaronr 2007-07-02 14:39:23 PDT
fixed in trunk and 1.8 branch

Note You need to log in before you can comment on or make changes to this bug.